Fiber -

# class Fiber

- Fiber
- Reference
- Object

## Defined in:

## Constructors

- .new(name : String? = nil, &proc : -> )

## Class Method Summary

- .current
- .yield

## Instance Method Summary

- #dead?

  The fiber's proc has terminated, and the fiber is now considered dead.

- #inspect(io : IO) : Nil
- #name : String?
- #name=(name : String?)
- #resumable?

  The fiber's proc is currently not running and fully saved its context.

- #resume : Nil
- #running?

  The fiber's proc is currently running or didn't fully save its context.

- #to_s(io : IO) : Nil

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(name : String? = nil, &proc : -> ) #

## Class Method Detail

def self.current #
def self.yield #

## Instance Method Detail

def dead? #

The fiber's proc has terminated, and the fiber is now considered dead. The fiber is impossible to resume, ever.

def inspect(io : IO) : Nil #
def name : String? #
def name=(name : String?) #
def resumable? #

The fiber's proc is currently not running and fully saved its context. The fiber can be resumed safely.

def resume : Nil #
def running? #

The fiber's proc is currently running or didn't fully save its context. The fiber can't be resumed.

def to_s(io : IO) : Nil #